{
  "compilerOptions": {
    "target": "ESNext",
    "module": "ESNext",
    "moduleResolution": "bundler",
    "lib": ["ESNext", "DOM", "DOM.Iterable"],
    "types": ["bun"],
    "strict": true,
    "skipLibCheck": true,
    "noEmit": true,
    "allowImportingTsExtensions": true,
    "verbatimModuleSyntax": false,
    "esModuleInterop": true,
    "resolveJsonModule": true,
    "jsx": "react-jsx",
    "jsxImportSource": "@wrnexus/core",
    "paths": {
      "@wrnexus/core": ["./packages/core/src/index.ts"],
      "@wrnexus/core/jsx-runtime": ["./packages/core/src/jsx-runtime.ts"],
      "@wrnexus/core/jsx-dev-runtime": ["./packages/core/src/jsx-dev-runtime.ts"],
      "@wrnexus/reactive": ["./packages/reactive/src/index.ts"],
      "@wrnexus/ai": ["./packages/ai/src/index.ts"],
      "@wrnexus/compiler": ["./packages/compiler/src/index.ts"],
      "@wrnexus/styles": ["./packages/styles/src/index.ts"],
      "@wrnexus/router": ["./packages/router/src/index.ts"],
      "@wrnexus/ssr": ["./packages/ssr/src/index.ts"],
      "@wrnexus/csr": ["./packages/csr/src/index.ts"],
      "@wrnexus/dev-server": ["./packages/dev-server/src/index.ts"],
      "@wrnexus/uploader": ["./packages/uploader/src/index.ts"],
      "@wrnexus/jwt": ["./packages/jwt/src/index.ts"],
      "@wrnexus/oauth": ["./packages/oauth/src/index.ts"],
      "@wrnexus/authz": ["./packages/authz/src/index.ts"],
      "@wrnexus/helpers": ["./packages/helpers/src/index.ts"],
      "@wrnexus/encryption": ["./packages/encryption/src/index.ts"],
      "@wrnexus/pubsub": ["./packages/pubsub/src/index.ts"],
      "@wrnexus/queue": ["./packages/queue/src/index.ts"],
      "@wrnexus/tracking": ["./packages/tracking/src/index.ts"],
      "@wrnexus/mobile": ["./packages/mobile/src/index.ts"],
      "@wrnexus/native": ["./packages/native/src/index.ts"],
      "@wrnexus/native/*": ["./packages/native/src/*.ts"],
      "@wrnexus/test": ["./packages/test/src/index.ts"]
    }
  },
  "exclude": ["node_modules", "dist", "**/dist", "**/.wrnexus"]
}
